/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package v1

import (
	"context"

	v1 "github.com/zalando-incubator/kube-metrics-adapter/pkg/apis/zalando.org/v1"
	scheme "github.com/zalando-incubator/kube-metrics-adapter/pkg/client/clientset/versioned/scheme"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	gentype "k8s.io/client-go/gentype"
)

// ScalingSchedulesGetter has a method to return a ScalingScheduleInterface.
// A group's client should implement this interface.
type ScalingSchedulesGetter interface {
	ScalingSchedules(namespace string) ScalingScheduleInterface
}

// ScalingScheduleInterface has methods to work with ScalingSchedule resources.
type ScalingScheduleInterface interface {
	Create(ctx context.Context, scalingSchedule *v1.ScalingSchedule, opts metav1.CreateOptions) (*v1.ScalingSchedule, error)
	Update(ctx context.Context, scalingSchedule *v1.ScalingSchedule, opts metav1.UpdateOptions) (*v1.ScalingSchedule, error)
	// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
	UpdateStatus(ctx context.Context, scalingSchedule *v1.ScalingSchedule, opts metav1.UpdateOptions) (*v1.ScalingSchedule, error)
	Delete(ctx context.Context, name string, opts metav1.DeleteOptions) error
	DeleteCollection(ctx context.Context, opts metav1.DeleteOptions, listOpts metav1.ListOptions) error
	Get(ctx context.Context, name string, opts metav1.GetOptions) (*v1.ScalingSchedule, error)
	List(ctx context.Context, opts metav1.ListOptions) (*v1.ScalingScheduleList, error)
	Watch(ctx context.Context, opts metav1.ListOptions) (watch.Interface, error)
	Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts metav1.PatchOptions, subresources ...string) (result *v1.ScalingSchedule, err error)
	ScalingScheduleExpansion
}

// scalingSchedules implements ScalingScheduleInterface
type scalingSchedules struct {
	*gentype.ClientWithList[*v1.ScalingSchedule, *v1.ScalingScheduleList]
}

// newScalingSchedules returns a ScalingSchedules
func newScalingSchedules(c *ZalandoV1Client, namespace string) *scalingSchedules {
	return &scalingSchedules{
		gentype.NewClientWithList[*v1.ScalingSchedule, *v1.ScalingScheduleList](
			"scalingschedules",
			c.RESTClient(),
			scheme.ParameterCodec,
			namespace,
			func() *v1.ScalingSchedule { return &v1.ScalingSchedule{} },
			func() *v1.ScalingScheduleList { return &v1.ScalingScheduleList{} }),
	}
}
